Page MenuHomePhabricator

Allow language names in babel-portal message
Closed, ResolvedPublic

Description

The message "babel-portal" (providing the link of the language code) has one parameter which is the language code. It should be possible to link to the language name (i.e. the article on Wikipedia).

I tried {{#language:$1}} but it isn't parsed. So either we parse the message or we add a second parameter which would be the language name.


Version: unspecified
Severity: enhancement

Details

Reference
bz32398

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 12:03 AM
bzimport set Reference to bz32398.
bzimport added a subscriber: Unknown Object (MLST).
SPQRobin created this task.Nov 13 2011, 9:12 PM

Update assignee and CCs

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 12 2015, 9:52 AM

Change 330046 had a related patch set uploaded (by TTO):
Add language name as second parameter to babel-portal message

https://gerrit.wikimedia.org/r/330046

TTO claimed this task.Jan 1 2017, 2:40 PM
putnik added a subscriber: putnik.Aug 27 2017, 6:02 AM

I suggest simply to allow the parsing of the wiki text in the message. It works without problems and allows you to use any means to get the right link.

https://gerrit.wikimedia.org/r/374064

Change 374064 had a related patch set uploaded (by Putnik; owner: Putnik):
[mediawiki/extensions/Babel@master] Babel: Transform text of "babel-portal" message

https://gerrit.wikimedia.org/r/374064

Change 374064 merged by jenkins-bot:
[mediawiki/extensions/Babel@master] Babel: Transform text of "babel-portal" message

https://gerrit.wikimedia.org/r/374064

Iniquity closed this task as Resolved.Sep 3 2017, 6:03 PM